[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/116/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-hr-116)
[![Build Status](https://travis-ci.org/OCA/hr.svg?branch=10.0)](https://travis-ci.org/OCA/hr)
[![codecov](https://codecov.io/gh/OCA/hr/branch/10.0/graph/badge.svg)](https://codecov.io/gh/OCA/hr)

Human Resources
===============

Odoo modules related to Human Resources management.


[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[hr_contract_default_trial_length](hr_contract_default_trial_length/) | 10.0.1.0.0 | Define default trail length for contracts
[hr_contract_reference](hr_contract_reference/) | 10.0.1.0.0 | HR Contract Reference
[hr_emergency_contact](hr_emergency_contact/) | 10.0.1.0.0 | HR Emergency Contact
[hr_employee_age](hr_employee_age/) | 10.0.1.0.0 | Age field for employee
[hr_employee_birth_name](hr_employee_birth_name/) | 10.0.1.0.0 | Employee Birth Name
[hr_employee_firstname](hr_employee_firstname/) | 10.0.1.0.0 | Adds First Name to Employee
[hr_employee_id](hr_employee_id/) | 10.0.1.0.0 | Employee ID
[hr_employee_phone_extension](hr_employee_phone_extension/) | 10.0.1.0.0 | Employee Phone Extension
[hr_employee_seniority](hr_employee_seniority/) | 10.0.1.0.0 | Keep Track of Length of Employment
[hr_employee_social_media](hr_employee_social_media/) | 10.0.1.0.0 | Employee Social Media
[hr_experience](hr_experience/) | 10.0.1.0.0 | Experience Management
[hr_family](hr_family/) | 10.0.1.0.0 | Employee Family Information
[hr_holidays_compute_days](hr_holidays_compute_days/) | 10.0.1.0.0 | Computes the actual leave days considering rest days and public holidays
[hr_holidays_leave_auto_approve](hr_holidays_leave_auto_approve/) | 10.0.1.0.0 | Leave type for auto approval of Leaves
[hr_holidays_legal_leave](hr_holidays_legal_leave/) | 10.0.1.0.0 | Allows the definition of legal/annual leave
[hr_public_holidays](hr_public_holidays/) | 10.0.1.0.0 | Manage Public Holidays


Unported addons
---------------
addon | version | summary
--- | --- | ---
[hr_contract_hourly_rate](hr_contract_hourly_rate/) | 8.0.1.0.0 (unported) | HR Contract Hourly Rate
[hr_contract_init](hr_contract_init/) | 1.0 (unported) | Contracts - Initial Settings
[hr_contract_multi_jobs](hr_contract_multi_jobs/) | 8.0.1.0.0 (unported) | HR Contract Multi Jobs
[hr_contract_state](hr_contract_state/) | 1.0 (unported) | Manage Employee Contracts
[hr_department_sequence](hr_department_sequence/) | 1.0 (unported) | Add sequence on department
[hr_employee_benefit](hr_employee_benefit/) | 8.0.1.0.0 (unported) | Employee Benefit
[hr_employee_data_from_work_address](hr_employee_data_from_work_address/) | 8.0.1.0.0 (unported) | Update user's and partner's data fields from employee record
[hr_employee_gravatar](hr_employee_gravatar/) | 8.0.1.0.0 (unported) | Employees Synchronize Gravatar image
[hr_employee_legacy_id](hr_employee_legacy_id/) | 8.0.1.0.0 (unported) | Legacy Employee ID
[hr_employee_reference](hr_employee_reference/) | 8.0.1.0.0 (unported) | Manage employee references
[hr_expense_account_period](hr_expense_account_period/) | 8.0.0.1.0 (unported) | Accounting period for HR expenses journal entries
[hr_expense_analytic_default](hr_expense_analytic_default/) | 8.0.0.1.0 (unported) | Manage default analytic account on expenses
[hr_expense_analytic_plans](hr_expense_analytic_plans/) | 8.0.1.0.0 (unported) | Use analytic plans in expenses
[hr_expense_invoice](hr_expense_invoice/) | 8.0.1.0.0 (unported) | Supplier invoices on HR expenses
[hr_expense_move_date](hr_expense_move_date/) | 8.0.1.0.0 (unported) | Move date for HR expenses journal entries
[hr_expense_sequence](hr_expense_sequence/) | 8.0.1.0.0 (unported) | HR expense sequence
[hr_infraction](hr_infraction/) | 1.0 (unported) | Employee Infraction Management
[hr_job_categories](hr_job_categories/) | 8.0.1.0.0 (unported) | HR Job Employee Categories
[hr_job_hierarchy](hr_job_hierarchy/) | 1.0 (unported) | Job Hierarchy
[hr_labour_union](hr_labour_union/) | 1.0 (unported) | Labour Union
[hr_language](hr_language/) | 8.0.0.1.0 (unported) | Language Management
[hr_payroll_register](hr_payroll_register/) | 1.0 (unported) | Payroll Register
[hr_payslip_amendment](hr_payslip_amendment/) | 1.0 (unported) | Pay Slip Amendment
[hr_payslip_move_date](hr_payslip_move_date/) | 8.0.0.1.0 (unported) | HR Payslip Move Date
[hr_payslip_ytd_amount](hr_payslip_ytd_amount/) | 1.0 (unported) | Payslip Year-to-date Amount
[hr_policy_absence](hr_policy_absence/) | 1.0 (unported) | Absence Policy
[hr_policy_accrual](hr_policy_accrual/) | 1.0 (unported) | Time Accrual Policy
[hr_policy_group](hr_policy_group/) | 1.0 (unported) | Human Resources Policy Groups
[hr_policy_ot](hr_policy_ot/) | 1.0 (unported) | Overtime Policy
[hr_policy_presence](hr_policy_presence/) | 1.0 (unported) | Employee Presence Policy
[hr_recruitment_partner](hr_recruitment_partner/) | 8.0.1.0.0 (unported) | Automatically create a Partner for Applicants
[hr_resume](hr_resume/) | 0.1 (unported) | Resume Management
[hr_salary_rule_reference](hr_salary_rule_reference/) | 8.0.1.0.0 (unported) | Salary Rule Reference
[hr_salary_rule_variable](hr_salary_rule_variable/) | 1.0 (unported) | Salary Rule Variables
[hr_schedule](hr_schedule/) | 1.0 (unported) | Employee Shift Scheduling
[hr_security](hr_security/) | 8.0.1.0.0 (unported) | HR Permission Groups
[hr_skill](hr_skill/) | 8.0.1.1.0 (unported) | Skill Management
[hr_transfer](hr_transfer/) | 1.0 (unported) | Departmental Transfer
[hr_wage_increment](hr_wage_increment/) | 1.0 (unported) | HR Wage Increment
[hr_webcam](hr_webcam/) | 8.0.1.0.0 (unported) | Capture employee picture with webcam
[hr_worked_days_activity](hr_worked_days_activity/) | 1.0 (unported) | Worked Days Activity
[hr_worked_days_from_timesheet](hr_worked_days_from_timesheet/) | 8.0.1.0.0 (unported) | Worked Days From Timesheet
[hr_worked_days_hourly_rate](hr_worked_days_hourly_rate/) | 1.0 (unported) | Worked Days Hourly Rates

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-hr-10-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-hr-10-0)
