[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/189/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-l10n-spain-189)
[![Build Status](https://travis-ci.org/OCA/l10n-spain.svg?branch=10.0)](https://travis-ci.org/OCA/l10n-spain)
[![codecov](https://codecov.io/gh/OCA/l10n-spain/branch/10.0/graph/badge.svg)](https://codecov.io/gh/OCA/l10n-spain)

Localización española de Odoo
=============================

Repositorio de código del proyecto de la localización española para el software
de gestión integral Odoo.

La localización española de Odoo incluye:

* Módulos para adaptar el sistema a los requisitos fiscales y contables
  españoles.
* Traducciones a las lenguas oficiales del país.

Para más información, dirigirse al portal https://odoospain.odoo.com/.

Para dudas funcionales o soporte de la comunidad, dirigirse a:

https://odoospain.odoo.com/forum/ayuda-1

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[account_balance_reporting](account_balance_reporting/) | 10.0.1.0.0 | Account balance reporting engine
[l10n_es](l10n_es/) | 10.0.1.0.0 | Planes de cuentas españoles (según PGCE 2008)
[l10n_es_account_balance_report](l10n_es_account_balance_report/) | 10.0.1.0.0 | Informes de cuentas anuales españoles
[l10n_es_account_bank_statement_import_n43](l10n_es_account_bank_statement_import_n43/) | 10.0.1.0.0 | Importación de extractos bancarios españoles (Norma 43)
[l10n_es_account_invoice_sequence](l10n_es_account_invoice_sequence/) | 10.0.1.0.0 | Secuencia para facturas separada de la secuencia de asientos
[l10n_es_partner](l10n_es_partner/) | 10.0.1.0.0 | Adaptación de los clientes, proveedores y bancos para España
[l10n_es_toponyms](l10n_es_toponyms/) | 10.0.1.0.0 | Topónimos españoles


Unported addons
---------------
addon | version | summary
--- | --- | ---
[account_balance_reporting_xls](account_balance_reporting_xls/) | 8.0.1.0.0 (unported) | Account balance reporting to XLS
[account_refund_original](account_refund_original/) | 8.0.1.0.0 (unported) | Relationship refund - origin invoice
[l10n_es_account_asset](l10n_es_account_asset/) | 8.0.2.0.0 (unported) | Gestión de activos fijos para España
[l10n_es_account_banking_sepa_fsdd](l10n_es_account_banking_sepa_fsdd/) | 8.0.1.0.0 (unported) | Account Banking Sepa - FSDD (Anticipos de crédito)
[l10n_es_aeat](l10n_es_aeat/) | 8.0.1.9.0 (unported) | AEAT Base
[l10n_es_aeat_mod111](l10n_es_aeat_mod111/) | 8.0.2.0.0 (unported) | AEAT modelo 111
[l10n_es_aeat_mod115](l10n_es_aeat_mod115/) | 8.0.1.2.0 (unported) | AEAT modelo 115
[l10n_es_aeat_mod130](l10n_es_aeat_mod130/) | 8.0.0.8.0 (unported) | AEAT modelo 130
[l10n_es_aeat_mod216](l10n_es_aeat_mod216/) | 8.0.1.2.0 (unported) | AEAT modelo 216
[l10n_es_aeat_mod296](l10n_es_aeat_mod296/) | 8.0.1.2.0 (unported) | AEAT modelo 296
[l10n_es_aeat_mod303](l10n_es_aeat_mod303/) | 8.0.1.6.0 (unported) | AEAT modelo 303
[l10n_es_aeat_mod340](l10n_es_aeat_mod340/) | 8.0.2.2.0 (unported) | Generación de fichero modelo 340 y libro de IVA
[l10n_es_aeat_mod340_cash_basis](l10n_es_aeat_mod340_cash_basis/) | 8.0.1.0.0 (unported) | Extensión del modelo 340 para criterio de caja
[l10n_es_aeat_mod340_type0](l10n_es_aeat_mod340_type0/) | 8.0.1.0.0 (unported) | Generación de fichero modelo 340. Registro tipo 0
[l10n_es_aeat_mod347](l10n_es_aeat_mod347/) | 8.0.1.4.0 (unported) | Modelo 347 AEAT
[l10n_es_aeat_mod349](l10n_es_aeat_mod349/) | 8.0.2.2.0 (unported) | Modelo 349 AEAT
[l10n_es_aeat_vat_prorrate](l10n_es_aeat_vat_prorrate/) | 8.0.2.0.0 (unported) | AEAT - Prorrata de IVA
[l10n_es_crm_lead_trade_name](l10n_es_crm_lead_trade_name/) | 8.0.1.0.0 (unported) | Add trade name field to leads
[l10n_es_dua](l10n_es_dua/) | 8.0.1.0.0 (unported) | Importaciones con DUA
[l10n_es_fiscal_year_closing](l10n_es_fiscal_year_closing/) | 8.0.1.0.0 (unported) | Cierre de ejercicio fiscal para España
[l10n_es_irnr](l10n_es_irnr/) | 8.0.1.0.0 (unported) | Retenciones IRNR (No residentes)
[l10n_es_location_nuts](l10n_es_location_nuts/) | 8.0.1.0.0 (unported) | NUTS specific options for Spain
[l10n_es_partner_mercantil](l10n_es_partner_mercantil/) | 8.0.1.0.0 (unported) | Partner Mercantil
[l10n_es_payment_order](l10n_es_payment_order/) | 8.0.1.7.0 (unported) | Exportación de ficheros bancarios CSB 19, 32, 34 y 58
[l10n_es_payment_order_confirminet](l10n_es_payment_order_confirminet/) | 8.0.1.0.0 (unported) | Exportación de fichero bancario Confirminet
[l10n_es_pos](l10n_es_pos/) | 8.0.1.0.0 (unported) | Punto de venta adaptado a la legislación española
[l10n_es_subcontractor_certificate](l10n_es_subcontractor_certificate/) | 8.0.1.0.0 (unported) | Certificado de subcontratista
[payment_redsys](payment_redsys/) | 8.0.1.0.2 (unported) | Payment Acquirer: Redsys Implementation

[//]: # (end addons)

Estado de las traducciones
--------------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-l10n-spain-10-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-l10n-spain-10-0)
