[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/128/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-management-system-128)
[![Build Status](https://travis-ci.org/OCA/management-system.svg?branch=10.0)](https://travis-ci.org/OCA/management-system)
[![Coverage Status](https://coveralls.io/repos/OCA/management-system/badge.svg?branch=10.0)](https://coveralls.io/r/OCA/management-system?branch=10.0)
[![Codacy Badge](https://www.codacy.com/project/badge/88b8a3c69bda435581ea4b4f7850d7c2)](https://www.codacy.com/app/OCA/management-system)
[![Code Climate](https://codeclimate.com/github/OCA/management-system/badges/gpa.svg)](https://codeclimate.com/github/OCA/management-system)

# Management System

Odoo modules to support management systems:

* Quality (ISO 9001)
* Environment (ISO 14001)
* Security (ISO 27001, PCI-DSS)
* IT services (ISO 20001, ITIL)
* Health & Safety (OHSAS 18001)

These presentation may help with an overviews of the modules:

* [OpenDays 2013 presentation](http://www.slideshare.net/max3903/iso-anmanagement-systemswithopenerpen) of the Management System project
* [Overview presentation](http://www.slideshare.net/max3903/openerp-management-system-modules) (2012) by Savoir-Faire Linux

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[document_page_procedure](document_page_procedure/) | 10.0.1.0.0 | Document Management - Wiki - Procedures
[document_page_quality_manual](document_page_quality_manual/) | 10.0.1.0.0 | Quality Manual
[document_page_work_instruction](document_page_work_instruction/) | 10.0.1.0.0 | Document Management - Wiki - Work Instructions
[mgmtsystem](mgmtsystem/) | 10.0.1.0.0 | Management System
[mgmtsystem_action](mgmtsystem_action/) | 10.0.1.0.0 | Management System - Action
[mgmtsystem_manual](mgmtsystem_manual/) | 10.0.1.0.0 | Management System - Manual
[mgmtsystem_survey](mgmtsystem_survey/) | 10.0.1.0.0 | Management System - Survey


Unported addons
---------------
addon | version | summary
--- | --- | ---
[document_page_environment_manual](document_page_environment_manual/) | 9.0.1.0.0 (unported) | Document Management - Wiki - Environment Manual
[document_page_environmental_aspect](document_page_environmental_aspect/) | 9.0.1.0.0 (unported) | Environmental Aspects
[document_page_health_safety_manual](document_page_health_safety_manual/) | 9.0.1.0.0 (unported) | Health and Safety Manual
[mgmtsystem_action_audittrail](mgmtsystem_action_audittrail/) | 1.0 (unported) | Management System - Actions Audit Trail tracking
[mgmtsystem_audit](mgmtsystem_audit/) | 9.0.1.0.0 (unported) | Management System - Audit
[mgmtsystem_audit_audittrail](mgmtsystem_audit_audittrail/) | 1.0 (unported) | Management System - Audits Audit Trail tracking
[mgmtsystem_claim](mgmtsystem_claim/) | 8.0.1.1.0 (unported) | Management System - Claim
[mgmtsystem_claim_audittrail](mgmtsystem_claim_audittrail/) | 1.0 (unported) | Management System - Claims Audit Trail tracking
[mgmtsystem_environment](mgmtsystem_environment/) | 8.0.1.0.0 (unported) | Environment Management System
[mgmtsystem_hazard](mgmtsystem_hazard/) | 1.1 (unported) | Management System - Hazard
[mgmtsystem_hazard_audittrail](mgmtsystem_hazard_audittrail/) | 1.0 (unported) | Management System - Hazards Audit Trail tracking
[mgmtsystem_health_safety](mgmtsystem_health_safety/) | 1.0 (unported) | Health and Safety Management System
[mgmtsystem_info_security_manual](mgmtsystem_info_security_manual/) | 9.0.1.0.0 (unported) | Information Security Management System Manual
[mgmtsystem_kpi](mgmtsystem_kpi/) | 7.0.1.1.1 (unported) | Key Performance Indicator
[mgmtsystem_nonconformity](mgmtsystem_nonconformity/) | 9.0.1.0.0 (unported) | Management System - Nonconformity
[mgmtsystem_nonconformity_analytic](mgmtsystem_nonconformity_analytic/) | 8.0.1.0.0 (unported) | Management System Nonconformity - Analytic Account
[mgmtsystem_nonconformity_claim](mgmtsystem_nonconformity_claim/) | 8.0.1.0.0 (unported) | Management System - Claims and Nonconformities
[mgmtsystem_nonconformity_deptm](mgmtsystem_nonconformity_deptm/) | 1.0 (unported) | Management System Nonconformity - Department
[mgmtsystem_nonconformity_project](mgmtsystem_nonconformity_project/) | 1.0 (unported) | Management System - Project
[mgmtsystem_quality](mgmtsystem_quality/) | 9.0.1.0.0 (unported) | Quality Management System
[mgmtsystem_review](mgmtsystem_review/) | 9.0.1.0.0 (unported) | Management System - Review
[mgmtsystem_review_audittrail](mgmtsystem_review_audittrail/) | 1.0 (unported) | Management System - Reviews Audit Trail tracking

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-management-system-10-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-management-system-10-0)
