[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/213/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-operating-unit-213)
[![Build Status](https://travis-ci.org/OCA/operating-unit.svg?branch=10.0)](https://travis-ci.org/OCA/operating-unit)
[![Coverage Status](https://coveralls.io/repos/OCA/operating-unit/badge.svg?branch=10.0&service=github)](https://coveralls.io/github/OCA/operating-unit?branch=10.0)
[![Code Climate](https://codeclimate.com/github/OCA/operating-unit/badges/gpa.svg)](https://codeclimate.com/github/OCA/operating-unit)

# Operating Units

An Operating Unit (OU) is an organizational entity part of a company, 
but that operates as an independent unit. Organizationally, an Operating Unit 
divides a company from a Business/Divisional axis, while Departments divide a 
company from a functional axis perspective.

This repository provides a suite of module to support the Operating Unit concept
across all Odoo processes.

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[account_operating_unit](account_operating_unit/) | 10.0.1.0.0 | Introduces Operating Unit fields in invoices and Accounting Entries with clearing account
[account_voucher_operating_unit](account_voucher_operating_unit/) | 10.0.1.0.0 | Introduces the operating unit to vouchers
[analytic_operating_unit](analytic_operating_unit/) | 10.0.1.0.0 | Analytic Operating Unit
[crm_operating_unit](crm_operating_unit/) | 10.0.1.0.0 | Operating Unit in CRM
[operating_unit](operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company
[procurement_operating_unit](procurement_operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company
[purchase_operating_unit](purchase_operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company
[sale_operating_unit](sale_operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company
[sale_stock_operating_unit](sale_stock_operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company
[sales_team_operating_unit](sales_team_operating_unit/) | 10.0.1.0.0 | Sales Team Operating Unit
[stock_operating_unit](stock_operating_unit/) | 10.0.1.0.0 | An operating unit (OU) is an organizational entity part of a company

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-operating-unit-10-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-operating-unit-10-0)

----

OCA, or the [Odoo Community Association](http://odoo-community.org/), is a nonprofit organization whose
mission is to support the collaborative development of Odoo features and
promote its widespread use.
