[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/140/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-project-140)
[![Build Status](https://travis-ci.org/OCA/project.svg?branch=10.0)](https://travis-ci.org/OCA/project)
[![codecov](https://codecov.io/gh/OCA/project/branch/10.0/graph/badge.svg)](https://codecov.io/gh/OCA/project)

Odoo Project & Service Management
=================================

Find revelant modules for service business processes or companies.

This project aims to extend Odoo on contract management features, such as:

  * Manage sold hours in advance
  * Invoice on contract basis
  * ...

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[project_description](project_description/) | 10.0.1.0.0 | Add a description to projects
[project_model_to_task](project_model_to_task/) | 10.0.0.1.0 | Project Model to Task
[project_stage_state](project_stage_state/) | 10.0.1.0.0 | Restore State attribute removed from Project Stages in 8.0
[project_task_add_very_high](project_task_add_very_high/) | 10.0.1.0.0 | Adds an extra option 'Very High' on tasks
[project_task_code](project_task_code/) | 10.0.1.0.0 | Sequential Code for Tasks
[project_task_default_stage](project_task_default_stage/) | 10.0.1.0.0 | Recovery default task stage projects from v8
[project_task_dependency](project_task_dependency/) | 10.0.1.0.0 | Enables to define dependencies (other tasks) of a task
[project_task_pull_request](project_task_pull_request/) | 10.0.1.0.0 | Adds a field for a PR URI to project tasks


Unported addons
---------------
addon | version | summary
--- | --- | ---
[analytic_hours_block](analytic_hours_block/) | 1.5 (unported) | Project Hours Blocks Management
[project_analytic_line_view](project_analytic_line_view/) | 8.0.1.0.0 (unported) | Project analytic account line view
[project_baseuser](project_baseuser/) | 8.0.1.0.0 (unported) | Extend Project user roles to support more complex use cases
[project_categ](project_categ/) | 8.0.0.1.0 (unported) | Allow for Project specific category lists for Tasks
[project_categ_issue](project_categ_issue/) | 8.0.0.1.0 (unported) | Projects Issues can have an allowed category list
[project_classification](project_classification/) | 8.0.1.0 (unported) | Project classification (easy hierarchy and setup for project managers)
[project_closing](project_closing/) | 8.0.0.1.1 (unported) | Project closing
[project_double_alias](project_double_alias/) | 9.0.1.0.0 (unported) | Define an alias for tasks and another alias for issues
[project_functional_block](project_functional_block/) | 1.2 (unported) | Project requiring functional blocks
[project_gtd](project_gtd/) | 8.0.2.0.0 (unported) | Personal Tasks, Contexts, Timeboxes
[project_issue_baseuser](project_issue_baseuser/) | 8.0.1.0.0 (unported) | Extend Project user roles to support more complex use cases
[project_issue_task](project_issue_task/) | 8.0.1.1.0 (unported) | Use Tasks to support Issue resolution reports
[project_recalculate](project_recalculate/) | 8.0.1.0.0 (unported) | Project Recalculate
[project_service_type](project_service_type/) | 1.0 (unported) | Add type of service on project
[project_sla](project_sla/) | 8.0.1.0.0 (unported) | Define SLAs for your Contracts
[project_task_materials](project_task_materials/) | 8.0.1.0.0 (unported) | Record products spent in a Task
[project_timesheet_analytic_partner](project_timesheet_analytic_partner/) | 8.0.1.0.0 (unported) | Propagate task partner to timesheet entries
[sale_order_project](sale_order_project/) | 8.0.1.0.0 (unported) | Sale Order Project
[service_desk](service_desk/) | 8.0.1.1.0 (unported) | Use Projects for Service Desks and service teams
[service_desk_issue](service_desk_issue/) | 8.0.1.1.0 (unported) | Use Project Issues for Service Desks and service teams

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-project-10-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-project-10-0)
