[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/159/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-vertical-medical-159)
[![Build Status](https://travis-ci.org/OCA/vertical-medical.svg?branch=10.0)](https://travis-ci.org/OCA/vertical-medical)
[![codecov](https://codecov.io/gh/OCA/vertical-medical/branch/10.0/graph/badge.svg)](https://codecov.io/gh/OCA/vertical-medical)

# Vertical Medical

It provides a free universal Health and Hospital Information System, allowing
medical instutions to benefit from a centralized and scalable Electronic Medical
Records (EMR) System based on Odoo.

- Strong focus in family medicine and Primary Health Care
- Major interest in Socio-economics (housing conditions, substance abuse,
  education, etc.)
- Diseases and Medical procedures standards (like ICD-9, ICD-10, ICD-10-PCS,
  etc.)
- Patient Genetic and Hereditary risks: Over 4200 genes related to
  diseases (NCBI / Genecards)
- Epidemiological and other statistical reports
- 100% paperless patient examination and history taking
- Patient Administration
  (creation, evaluations / consultations, history, etc.)
- Doctor Administration
- Lab Administration
- Medicine / Drugs information
- Medical stock and supply chain management
- Hospital Financial Administration
- Designed with industry standards in mind

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[medical](medical/) | 10.0.1.0.0 | Odoo Medical


Unported addons
---------------
addon | version | summary
--- | --- | ---
[medical_disease](medical_disease/) | 8.0.1.1.0 (unported) | Introduce disease notion into the medical category
[medical_emr](medical_emr/) | 8.0.1.1 (unported) | Medical EMR : Electronic Medical Record management for Medical
[medical_emr_data](medical_emr_data/) | 8.0.1.0 (unported) | Medical EMR: Module Data
[medical_family](medical_family/) | 8.0.1.1.0 (unported) | Medical Family
[medical_his](medical_his/) | 8.0.1.1.0 (unported) | Medical Hospital
[medical_insurance](medical_insurance/) | 8.0.1.1.0 (unported) | Medical Insurance
[medical_insurance_us](medical_insurance_us/) | 8.0.1.1.0 (unported) | Medical Insurance - US
[medical_medicament](medical_medicament/) | 8.0.1.0.0 (unported) | Introduce Medicament notion into the medical product
[medical_medicament_attributes](medical_medicament_attributes/) | 8.0.1.0.0 (unported) | Medical Medicament Physical Attributes
[medical_medication](medical_medication/) | 8.0.1.0.0 (unported) | Introduce medication notion into the medical addons
[medical_medication_us](medical_medication_us/) | 8.0.1.0.0 (unported) | Medical Medication - US Locale
[medical_operational](medical_operational/) | 8.0.1.0 (unported) | Odoo Medical : Operational areas and sectors
[medical_patient_ethnicity](medical_patient_ethnicity/) | 8.0.1.1.0 (unported) | Medical Patient Ethnicity
[medical_patient_occupation](medical_patient_occupation/) | 8.0.1.1.0 (unported) | Medical Patient Occupation
[medical_pharmacy](medical_pharmacy/) | 8.0.1.1.0 (unported) | Medical Pharmacy
[medical_pharmacy_us](medical_pharmacy_us/) | 8.0.1.1.0 (unported) | Medical Pharmacy - US Locale
[medical_prescription](medical_prescription/) | 8.0.1.1.0 (unported) | This module introduce the prescription/prescription line into the medical addons.
[medical_prescription_sale](medical_prescription_sale/) | 8.0.1.0.0 (unported) | Medical Prescription Sales Processes
[medical_prescription_state](medical_prescription_state/) | 8.0.1.1.0 (unported) | Medical Prescription Order States
[medical_prescription_thread](medical_prescription_thread/) | 8.0.1.0.0 (unported) | Medical Prescription Threaded
[oemedical_genetics](oemedical_genetics/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_gynecology_and_obstetrics](oemedical_gynecology_and_obstetrics/) | 1.0.1 (unported) | OeMedical : gynecology and obstetrics
[oemedical_icu](oemedical_icu/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_invoice](oemedical_invoice/) | 0.1 (unported) | Medical Invoice
[oemedical_lab](oemedical_lab/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_lifestyle](oemedical_lifestyle/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_pediatrics](oemedical_pediatrics/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_socioeconomics](oemedical_socioeconomics/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[oemedical_surgery](oemedical_surgery/) | 1.0 (unported) | OeMedical : Free Health and Hospital Information System
[web_doc_oemedical](web_doc_oemedical/) | 0.1 (unported) | OeMedical CMS

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-vertical-medical-10.0/chart/image_png)](https://www.transifex.com/projects/p/OCA-vertical-medical-10.0)

----

OCA, or the [Odoo Community Association](http://odoo-community.org/), is a nonprofit organization whose
mission is to support the collaborative development of Odoo features and
promote its widespread use.
