[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/186/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-website-186)
[![Build Status](https://travis-ci.org/OCA/website.svg?branch=10.0)](https://travis-ci.org/OCA/website)
[![Coverage Status](https://codecov.io/gh/OCA/website/branch/10.0/graph/badge.svg)](https://codecov.io/gh/OCA/website)

Odoo modules for website builder
================================

Includes modules that expand official website modules and include:

* More functionality for the website builder.
* More building blocks with pre-configured data.
* Tools for the website environment.
* and more...

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[website_crm_recaptcha](website_crm_recaptcha/) | 10.0.1.0.0 | Provides a ReCaptcha validation in Website Contact Form
[website_field_autocomplete](website_field_autocomplete/) | 10.0.1.0.0 | Provides an autocomplete field for Website on any model
[website_form_recaptcha](website_form_recaptcha/) | 10.0.1.0.0 | Provides a ReCaptcha field for Website Forms
[website_no_crawler](website_no_crawler/) | 10.0.1.0.0 | Disables robots.txt for indexing by webcrawlers like Google
[website_sale_line_total](website_sale_line_total/) | 10.0.1.0.0 | Adds separate columns for unit price and total price
[website_snippet_data_slider](website_snippet_data_slider/) | 10.0.1.0.0 | Abstract data slider for use on website. Primary use (and default implementation) is product slider.


Unported addons
---------------
addon | version | summary
--- | --- | ---
[website_analytics_piwik](website_analytics_piwik/) | 8.0.1.0.0 (unported) | Track website users using piwik
[website_anchor_smooth_scroll](website_anchor_smooth_scroll/) | 9.0.1.0.0 (unported) | Replace default behavior for internal links (anchor only) with smooth scroll
[website_backend_views](website_backend_views/) | 8.0.1.0.0 (unported) | Hook backend views into your website frontend
[website_blog_facebook_comment](website_blog_facebook_comment/) | 8.0.1.0.0 (unported) | Add Facebook comments on blog posts
[website_blog_mgmt](website_blog_mgmt/) | 9.0.1.0.0 (unported) | Website blog Management
[website_container_fluid](website_container_fluid/) | 8.0.1.0.1 (unported) | Let you choose between fixed or fluid containers
[website_cookie_notice](website_cookie_notice/) | 8.0.1.0.0 (unported) | Show cookie notice according to cookie law
[website_crm_privacy_policy](website_crm_privacy_policy/) | 8.0.1.0.0 (unported) | Website CRM privacy policy
[website_event_register_free](website_event_register_free/) | 8.0.1.0.0 (unported) | Avoid shopping chart when registering for free events
[website_event_register_free_with_sale](website_event_register_free_with_sale/) | 8.0.1.0.0 (unported) | Combine free and paid tickets on events
[website_forum_censored](website_forum_censored/) | 9.0.1.0.0 (unported) | Block phrases entered in forum posts and comments.
[website_hr_department](website_hr_department/) | 8.0.0.1.0 (unported) | Display the structure of your departments and their members.
[website_legal_page](website_legal_page/) | 9.0.1.0.0 (unported) | Website Legal Page
[website_logo](website_logo/) | 8.0.1.0.0 (unported) | Website company logo
[website_menu_by_user_status](website_menu_by_user_status/) | 8.0.1.1.0 (unported) | Allow to manage the display of website.menus
[website_menu_multilang](website_menu_multilang/) | 8.0.0.1.0 (unported) | Website Menu Multilanguage
[website_portal_contact](website_portal_contact/) | 9.0.1.0.0 (unported) | Allows logged in portal users to manage their contacts
[website_portal_purchase](website_portal_purchase/) | 9.0.1.0.0 (unported) | Add purchase orders and quotation in the frontend portal
[website_sale_order_company](website_sale_order_company/) | 8.0.1.0.0 (unported) | Set order company according to products company
[website_sale_unsaleable_options](website_sale_unsaleable_options/) | 8.0.1.0.0 (unported) | Prevent optional products to be sold singularly
[website_sale_vat_required](website_sale_vat_required/) | 8.0.1.0.0 (unported) | VAT number required in checkout form
[website_seo_redirection](website_seo_redirection/) | 9.0.1.0.0 (unported) | Redirect any controller to the URL of your dreams
[website_snippet_country_dropdown](website_snippet_country_dropdown/) | 9.0.1.0.0 (unported) | Allow to select country in a dropdown

[//]: # (end addons)
