## MLReady

A Python 3 module with the main Machine Learning Algorithms.
Those algorithms are not necessarily implemented from scratch, as it is not the intention, but rather provide a full list of algorithms to start practing data science quickly.

### Requirements

Each algorithm has its own module requirements, you can know more about it by clicking on the name of the module, to be redirected to the documentation. 
The only common requirement is Python 3.5+.

### Algorithms

Below, there is a list of all algorithms implemented or to be implemented in this module. Those names in blue (link) are already implemented, and the link leads to the documentation of the said algorithm. The ones non-clickable are under development or will be implemented in the future.

#### Regression
* Linear Regression
* Logistic Regression
* Ordinary Least Squares Regression (OLSR)
* Stepwise Regression
* Multivariate Adaptive Regression Splines (MARS)
* Locally Estimated Scatterplot Smoothing (LOESS)

#### Clustering
* k-Means
* k-Medians
* Expectation Maximization
* Hierarchical Clustering

#### Bayesian
* Naive Bayes
* Averaged One-Dependence Estimators (AODE)
* Bayesian Belief Network (BBN)
* Gaussian Naive Bayes
* Multinomial Naive Bayes
* Bayesian Network

#### Decision Tree
* Classification and Regression Tree (CART)
* Iterative Dichotomiser 3 (ID3)
* C4.5
* C5.0
* Chi-squared Automatic Interaction Detection (CHAID)
* Decision Stump
* Conditional Decision Trees
* M5

#### Dimensionality Reduction
* Principal Component Analysis (PCA)
* Partial Least Squares Regression (PLSR)
* Sammon Mapping
* Multidimentional Scaling (MDS)
* Projection Pursuit
* Principal Component Regression (PCR)
* Partial Least Squares Discriminant Analysis
* Mixture Discriminant Analysis (MDA)
* Quadratic Discriminant Analysis (QDA)
* Regularized Discriminant Analysis (RDA)
* Flexible Discriminant Aanalysis (FDA)
* Linear Discriminant Analysis (LDA)

#### Instance Based
* k-Nearest Neighbour (kNN)
* Learning Vector Quantization (LVQ)
* Self-Organazing Map (SOM)
* Locally Weighted Learning (LWL)

#### Rule System
* Cubist
* One Rule (OneR)
* Zero Rule (ZeroR)
* Repeated Incremental Pruning to Produce Error Reduction (RIPPER)

#### Neural Networks
* Radial Basis Function Network (RBFN)
* Perceptron
* Back-Propagation
* Hopfield Network

#### Ensemble
* Random Forest
* Gradient Boosting Machine (GBM)
* Boosting
* Bootstrapped Aggregation (Bagging)
* AdaBoost
* Stacked Generalization (Blending)
* Gradient Boosted Regression Trees (GBRT)

#### Deep Learning
* Deep Boltzmann Machine (DBM)
* Deep Believe Networks (DBN)
* Convolutional Neural Network (CNN)
* Stacked Auto-Encoders

#### Regularization
* Ridge Regression
* Least Absolute Shrinkage and Selection Operator (LASSO)
* Elastic Net
* Least Angle Regression (LARS)

### Contribute

Contributions are always welcome! If you'd like to add an algorithm, even if it's not in the list, feel free to do a Pull Request. The only requirement is that the code must be compatible with Python 3.5+.
You can also reach me out via email <amirelemam@gmail.com>.

### License

This module is licensed under the [MIT License](LICENSE).
