# BigML.io

The following Github repositories contain libraries and examples using
BigML's API to create and use datasources, datasets, models,
evaluations and predictions programmatically:


- [Python bindings](https://github.com/bigmlcom/python)
- [Bigmler](https://github.com/bigmlcom/bigmler) model ensembles and more using Python, on top of our basic API
- [Node.js bindings](https://github.com/bigmlcom/bigml-node)
- [Clojure bindings](https://github.com/bigmlcom/clj-bigml)
- [C# bindings](https://github.com/bigmlcom/bigml-csharp)
- [R bindings](https://github.com/bigmlcom/bigml-r)
- [Bash bindings](https://github.com/bigmlcom/bigml-bash)
- [Ruby bindings](http://vigosan.github.com/big_ml/)
- [Java bindings](https://github.com/bigmlcom/bigml-java)
- [ML4iOS, iOS bindings](https://github.com/bigmlcom/ml4ios)
- [Swifth](https://github.com/bigmlcom/bigml-swift)

We have also open-sourced some general-purpose libraries:

- [Histogram](https://github.com/bigmlcom/histogram), Java and Clojure libraries to create any-time histograms from streaming data
- [Sampling](https://github.com/bigmlcom/sampling), a Clojure library for sampling arbitrarily sized sequences
- [Sketchy](https://github.com/bigmlcom/sketchy), Sketching algorithms for Clojure
- Our [closchema fork](https://github.com/bigmlcom/closchema), to validate JSON documents using JSON schemas

## Support

### Bindings' developers news

If you want to contribute to the bindings, the
[bindings' developers guide](bindings/guide.md) or
[API news](bindings/news.md) can help you to be informed about next
features to come.

### Bug Reporting

If you encounter problems or have suggestions for improving the
bindings, please fill a bug report in the issue trackers of the
corresponding binding.


### Forum and mail contact

For questions and discussion on our bindings, please check our or
[BigML forum and mailing list](https://groups.google.com/forum/#!forum/bigml)
or contact us directly at
[support@bigml.com](mailto:support@bigml.com).


### Live Chatroom

Join us in our [Campfire chatroom](https://bigmlinc.campfirenow.com/f20a0).
