# payoneer_mobile_api
Swagger specification for https://mobileapi.payoneer.com

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.9.4
- Package version: 0.9.4
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/brainbeanapps/payoneer-mobile-api-python.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/brainbeanapps/payoneer-mobile-api-python.git`)

Then import the package:
```python
import payoneer_mobile_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import payoneer_mobile_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import payoneer_mobile_api
from payoneer_mobile_api.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = payoneer_mobile_api.AccountApi()
request = payoneer_mobile_api.AccountRequest() # AccountRequest | 

try:
    # Account Details
    api_response = api_instance.account_account_post(request)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_account_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://mobileapi.payoneer.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**account_account_post**](docs/AccountApi.md#account_account_post) | **POST** /Account/Account | Account Details
*AccountApi* | [**account_billing_address_post**](docs/AccountApi.md#account_billing_address_post) | **POST** /Account/BillingAddress | Billing Address
*AccountApi* | [**account_currencies_get_post**](docs/AccountApi.md#account_currencies_get_post) | **POST** /Account/CurrenciesGet | Currencies
*AccountApi* | [**account_payment_method_details_post**](docs/AccountApi.md#account_payment_method_details_post) | **POST** /Account/PaymentMethodDetails | Payment Method Details
*AppApi* | [**app_app_start_post**](docs/AppApi.md#app_app_start_post) | **POST** /App/AppStart | App Start
*AppApi* | [**app_get_sign_documents_post**](docs/AppApi.md#app_get_sign_documents_post) | **POST** /App/GetSignDocuments | Get Sign Documents
*AppApi* | [**app_resource_get_post**](docs/AppApi.md#app_resource_get_post) | **POST** /App/ResourceGet | Get Resource
*AppApi* | [**app_resources_post**](docs/AppApi.md#app_resources_post) | **POST** /App/Resources | Resources
*AppApi* | [**app_sign_documents_post**](docs/AppApi.md#app_sign_documents_post) | **POST** /App/SignDocuments | Sign Documents
*AuthenticationApi* | [**authentication_challenge_authenticate_post**](docs/AuthenticationApi.md#authentication_challenge_authenticate_post) | **POST** /Authentication/ChallengeAuthenticate | ChallengeAuthenticate
*AuthenticationApi* | [**authentication_challenge_cancel_post**](docs/AuthenticationApi.md#authentication_challenge_cancel_post) | **POST** /Authentication/ChallengeCancel | ChallengeCancel
*AuthenticationApi* | [**authentication_challenge_get_post**](docs/AuthenticationApi.md#authentication_challenge_get_post) | **POST** /Authentication/ChallengeGet | ChallengeGet
*AuthenticationApi* | [**authentication_challenge_refuse_sms_post**](docs/AuthenticationApi.md#authentication_challenge_refuse_sms_post) | **POST** /Authentication/ChallengeRefuseSms | ChallengeRefuseSms
*AuthenticationApi* | [**authentication_challenge_sms_post**](docs/AuthenticationApi.md#authentication_challenge_sms_post) | **POST** /Authentication/ChallengeSms | ChallengeSms
*BalanceApi* | [**balance_balance_post**](docs/BalanceApi.md#balance_balance_post) | **POST** /Balance/Balance | Balance
*PaymentApi* | [**payment_payment_details_post**](docs/PaymentApi.md#payment_payment_details_post) | **POST** /Payment/PaymentDetails | Payment Details
*PaymentApi* | [**payment_payments_post**](docs/PaymentApi.md#payment_payments_post) | **POST** /Payment/Payments | Payments
*TransactionApi* | [**transaction_pre_auth_transactions_post**](docs/TransactionApi.md#transaction_pre_auth_transactions_post) | **POST** /Transaction/PreAuthTransactions | Pre-Authorization Transactions
*TransactionApi* | [**transaction_transaction_details_post**](docs/TransactionApi.md#transaction_transaction_details_post) | **POST** /Transaction/TransactionDetails | Transaction Details
*TransactionApi* | [**transaction_transactions_post**](docs/TransactionApi.md#transaction_transactions_post) | **POST** /Transaction/Transactions | Transactions
*UserApi* | [**user_get_user_settings_post**](docs/UserApi.md#user_get_user_settings_post) | **POST** /User/GetUserSettings | Get User Settings
*UserApi* | [**user_login_post**](docs/UserApi.md#user_login_post) | **POST** /User/Login | User Login
*UserApi* | [**user_logout_post**](docs/UserApi.md#user_logout_post) | **POST** /User/Logout | User Logout
*UserApi* | [**user_orn_link_post**](docs/UserApi.md#user_orn_link_post) | **POST** /User/OrnLink | User ORN link
*UserApi* | [**user_save_user_settings_post**](docs/UserApi.md#user_save_user_settings_post) | **POST** /User/SaveUserSettings | Save User Settings


## Documentation For Models

 - [AccountPermission](docs/AccountPermission.md)
 - [AccountRequest](docs/AccountRequest.md)
 - [AccountResponse](docs/AccountResponse.md)
 - [AppStartRequest](docs/AppStartRequest.md)
 - [AppStartResponse](docs/AppStartResponse.md)
 - [AppVersion](docs/AppVersion.md)
 - [BalanceRequest](docs/BalanceRequest.md)
 - [BalanceResponse](docs/BalanceResponse.md)
 - [BaseRequest](docs/BaseRequest.md)
 - [BaseResponse](docs/BaseResponse.md)
 - [BillingAddress](docs/BillingAddress.md)
 - [BillingAddressRequest](docs/BillingAddressRequest.md)
 - [BillingAddressResponse](docs/BillingAddressResponse.md)
 - [ChallengeAuthenticateRequest](docs/ChallengeAuthenticateRequest.md)
 - [ChallengeAuthenticateResponse](docs/ChallengeAuthenticateResponse.md)
 - [ChallengeResponse](docs/ChallengeResponse.md)
 - [CurrenciesGetRequest](docs/CurrenciesGetRequest.md)
 - [CurrenciesGetResponse](docs/CurrenciesGetResponse.md)
 - [Currency](docs/Currency.md)
 - [DeviceId](docs/DeviceId.md)
 - [DeviceProperties](docs/DeviceProperties.md)
 - [GetChallengeRequest](docs/GetChallengeRequest.md)
 - [GetChallengeResponse](docs/GetChallengeResponse.md)
 - [GetSignDocumentsRequest](docs/GetSignDocumentsRequest.md)
 - [GetSignDocumentsResponse](docs/GetSignDocumentsResponse.md)
 - [GetUserSettingsRequest](docs/GetUserSettingsRequest.md)
 - [GetUserSettingsResponse](docs/GetUserSettingsResponse.md)
 - [LabelValuePair](docs/LabelValuePair.md)
 - [LanguageCode](docs/LanguageCode.md)
 - [LoginRequest](docs/LoginRequest.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [LogoutRequest](docs/LogoutRequest.md)
 - [LogoutResponse](docs/LogoutResponse.md)
 - [MobileAppId](docs/MobileAppId.md)
 - [MobileResource](docs/MobileResource.md)
 - [OrnRequest](docs/OrnRequest.md)
 - [OrnResponse](docs/OrnResponse.md)
 - [PaymentDetails](docs/PaymentDetails.md)
 - [PaymentDetailsRequest](docs/PaymentDetailsRequest.md)
 - [PaymentDetailsResponse](docs/PaymentDetailsResponse.md)
 - [PaymentHeaderResponse](docs/PaymentHeaderResponse.md)
 - [PaymentMethodBalance](docs/PaymentMethodBalance.md)
 - [PaymentMethodDetailsRequest](docs/PaymentMethodDetailsRequest.md)
 - [PaymentMethodDetailsResponse](docs/PaymentMethodDetailsResponse.md)
 - [PaymentMethodResponse](docs/PaymentMethodResponse.md)
 - [PaymentsHistoryRequest](docs/PaymentsHistoryRequest.md)
 - [PaymentsHistoryResponse](docs/PaymentsHistoryResponse.md)
 - [PreAuthTransactionsRequest](docs/PreAuthTransactionsRequest.md)
 - [PreAuthTransactionsResponse](docs/PreAuthTransactionsResponse.md)
 - [PushCredentials](docs/PushCredentials.md)
 - [ResourceGetRequest](docs/ResourceGetRequest.md)
 - [ResourceGetResponse](docs/ResourceGetResponse.md)
 - [Resources](docs/Resources.md)
 - [ResourcesRequest](docs/ResourcesRequest.md)
 - [ResourcesResponse](docs/ResourcesResponse.md)
 - [RiskChallenge](docs/RiskChallenge.md)
 - [SaveUserSettingsRequest](docs/SaveUserSettingsRequest.md)
 - [SecurityAnswers](docs/SecurityAnswers.md)
 - [SignDocumentsRequest](docs/SignDocumentsRequest.md)
 - [SignDocumentsResponse](docs/SignDocumentsResponse.md)
 - [SigningDocument](docs/SigningDocument.md)
 - [SmsChallengeRequest](docs/SmsChallengeRequest.md)
 - [SmsChallengeResponse](docs/SmsChallengeResponse.md)
 - [SupportedLanguageResponse](docs/SupportedLanguageResponse.md)
 - [TransactionDetails](docs/TransactionDetails.md)
 - [TransactionDetailsRequest](docs/TransactionDetailsRequest.md)
 - [TransactionDetailsResponse](docs/TransactionDetailsResponse.md)
 - [TransactionHeaderResponse](docs/TransactionHeaderResponse.md)
 - [TransactionsListRequest](docs/TransactionsListRequest.md)
 - [TransactionsListResponse](docs/TransactionsListResponse.md)
 - [UserSettings](docs/UserSettings.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author



