![PipelineIO](http://pipeline.io/images/pipeline-io-logo-shadow-210x186.png)

### Built with Love and Scale by ex-Netflix, Databricks, and Tensorflow Engineers
![Tensorflow](http://pipeline.io/images/tensorflow-logo-150x128.png)
![Databricks](http://pipeline.io/images/databricks-logo-350x69.png) 
![Netflix](http://pipeline.io/images/netflixoss-logo-white-295x55.png) 

## Videos
* [Continuously Train & Deploy Spark ML and Tensorflow AI Models from Jupyter Notebook to Production (StartupML Conference Jan 2017)](https://www.youtube.com/embed/swiPWUxBvSc)
* [Recent Advancements in Data Science Workflows: From Jupyter-based Notebook to NetflixOSS-based Production (Big Data Spain Nov 2016)](https://www.youtube.com/embed/QPI_RtIrO7g)

## Resources
### Documentation
* [**Wiki**](https://github.com/fluxcapacitor/pipeline/wiki)

### Workshops

[**Sign Up Now!**](http://pipeline.io#upcoming-workshops)

![Workshop Architecture](http://pipeline.io/images/architecture-overview-645x473.png)

![Workshop Tools](http://pipeline.io/images/pancake-stack-645x363.png)

## Quick Start
### Local Laptop
**Kubernetes Mini + PipelineIO Cluster for your Laptop**
* PipelineIO [**Local**](https://github.com/fluxcapacitor/pipeline/wiki/Setup-Pipeline-Mini) (Local Laptop)

![Kubernetes](http://pipeline.io/images/kubernetes-logo-200x171.png) ![Docker](http://pipeline.io/images/docker-logo-150x126.png)

**Kubernetes + PipelineIO Cluster on any Cloud or Data Center**
* Pipeline on [**AWS**](https://github.com/fluxcapacitor/pipeline/wiki/Setup-Pipeline-AWS)

![AWS](http://pipeline.io/images/aws-logo-185x73.png)

* Pipeline on [**Google**](https://github.com/fluxcapacitor/pipeline/wiki/Setup-Pipeline-Google)

![Google Cloud Platform](http://pipeline.io/images/gce-logo-190x90.png)

* PipelineIO on [**Azure**](https://github.com/fluxcapacitor/pipeline/wiki/Setup-Pipeline-Azure)

![Azure](http://pipeline.io/images/azure-logo-200x103.png)

## Global 24x7 [Support](http://pipelineio.zendesk.com) for Everyone!
* Create a [**Ticket**](http://pipelineio.zendesk.com)
* Email **help@pipeline.io**

## Reference Architecture
![Reference Architecture](http://advancedspark.com/img/architecture-overview-768x563.png)

## Other Features
### 100% Open Source
![Jupyter](http://pipeline.io/images/jupyter-logo-105x106.png) 
![Zeppelin](http://pipeline.io/images/zeppelin-logo-wide-48x50.png)![Zeppelin](http://pipeline.io/images/zeppelin-logo-wide-110x50.png) 
![Spark](http://pipeline.io/images/spark-logo-150x78.png) 
![Tensorflow](http://pipeline.io/images/tensorflow-logo-150x128.png)

### 100% Open Source using Kubernetes + Docker
![PipelineIO Kubernetes](https://s3.amazonaws.com/fluxcapacitor.com/img/weavescope-pipelineio.png)
![Kubernetes](http://pipeline.io/images/kubernetes-logo-200x171.png) 
![Docker](http://pipeline.io/images/docker-logo-150x126.png)

### PMML + Native C++/Java Code Generation for Optimized CPU/GPU Performance
![Generate and Optimize Spark ML Model](https://s3.amazonaws.com/fluxcapacitor.com/img/ml-model-generating-and-optimizing.png) 
![Nvidia GPU](http://pipeline.io/images/nvidia-cuda-338x181.png) ![Intel CPU](http://pipeline.io/images/intel-logo-250x165.png)

### Deploy directly from Jupyter Notebook to Hybrid-Cloud Microservices
![Deploy Spark ML Model to Production](https://s3.amazonaws.com/fluxcapacitor.com/img/deploy-ml-model-to-production.png)

### NetflixOSS-based Microservices for High Scalability and Availability
![NetflixOSS-based Microservices](http://pipeline.io/images/hystrix-example-600x306.png)

### Continuous Train/Deploy Spark ML and Tensorflow AI Pipelines to Production
![Kafka](http://pipeline.io/images/kafka-logo-wide-219x98.png) ![Kinesis](http://pipeline.io/images/kinesis-logo-110x110.png) **KINESIS**

## Community
### Global Advanced Spark and Tensorflow [Meetup](http://www.meetup.com/Advanced-Spark-and-TensorFlow-Meetup/)

![Meetup](http://pipeline.io/images/meetup-442x300.png)

### Slideshare [Slides](http://www.slideshare.net/cfregly)

![Slideshare](http://advancedspark.com/img/slideshare.png)

### YouTube [Videos](https://www.youtube.com/playlist?list=PL7pBcJ870QHeNRBXdKirc4fdtbtbB5Xy-)

![YouTube](http://advancedspark.com/img/youtube-300x134.png)

### Docker [Images](https://hub.docker.com/u/fluxcapacitor)

![Docker](http://pipeline.io/images/docker-logo-150x126.png)
