[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/186/8.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-website-186)
[![Build Status](https://travis-ci.org/OCA/website.svg?branch=8.0)](https://travis-ci.org/OCA/website)
[![Coverage Status](https://coveralls.io/repos/OCA/website/badge.png?branch=8.0)](https://coveralls.io/r/OCA/website?branch=8.0)

Odoo modules for website builder
================================

Includes modules that expand official website modules and include:

* More functionality for the website builder.
* More building blocks with pre-configured data.
* Tools for the website environment.
* and more...

[//]: # (addons)
Available addons
----------------
addon | version | summary
--- | --- | ---
[website_analytics_piwik](website_analytics_piwik/) | 8.0.1.0.0 | Track website users using piwik
[website_anchor_smooth_scroll](website_anchor_smooth_scroll/) | 8.0.1.0.0 | When user clicks a link to scroll, the scroll is animated
[website_backend_views](website_backend_views/) | 8.0.1.0.0 | Hook backend views into your website frontend
[website_blog_excerpt_img](website_blog_excerpt_img/) | 8.0.1.0.0 | New layout for blog summary, including an excerpt and image
[website_blog_facebook_comment](website_blog_facebook_comment/) | 8.0.1.0.0 | Add Facebook comments on blog posts
[website_blog_mgmt](website_blog_mgmt/) | 8.0.1.0.0 | Website blog Management
[website_blog_share](website_blog_share/) | 8.0.1.0.0 | Blog Share
[website_blog_title_image](website_blog_title_image/) | 8.0.1.0.0 | Enables adding title image to blogpost.
[website_breadcrumb](website_breadcrumb/) | 8.0.1.0.0 | Let you have breadcrumbs in website pages
[website_calendar_snippet](website_calendar_snippet/) | 8.0.1.0.0 | Calendar (based on Messaging -> Calendar) on website.
[website_canonical_url](website_canonical_url/) | 8.0.1.0.0 | Canonical URL in Website Headers
[website_container_fluid](website_container_fluid/) | 8.0.1.0.1 | Let you choose between fixed or fluid containers
[website_cookie_notice](website_cookie_notice/) | 8.0.2.1.0 | Show cookie notice according to cookie law
[website_country_localized_pages](website_country_localized_pages/) | 1.0 | Show website pages localized according to country's visitor
[website_crm_address](website_crm_address/) | 8.0.1.0.0 | Lets visitors fill in their address in the contact form
[website_crm_privacy_policy](website_crm_privacy_policy/) | 8.0.1.0.0 | Website CRM privacy policy
[website_crm_quick_answer](website_crm_quick_answer/) | 8.0.1.0.0 | Add an automatic answer for contacts asking for info
[website_event_filter_organizer](website_event_filter_organizer/) | 8.0.1.0.0 | Filter events by organizer in frontend
[website_event_register_free](website_event_register_free/) | 8.0.1.0.0 | Avoid shopping chart when registering for free events
[website_event_register_free_with_sale](website_event_register_free_with_sale/) | 8.0.1.0.0 | Combine free and paid tickets on events
[website_hr_department](website_hr_department/) | 8.0.0.1.0 | Display the structure of your departments and their members.
[website_img_bg_style](website_img_bg_style/) | 8.0.1.0.0 | Let you change styles of snippets background images
[website_legal_page](website_legal_page/) | 8.0.1.0.0 | Website legal page
[website_logo](website_logo/) | 8.0.2.0.0 | Website company logo
[website_menu_by_user_status](website_menu_by_user_status/) | 8.0.1.1.0 | Allow to manage the display of website.menus
[website_menu_multilang](website_menu_multilang/) | 8.0.0.1.0 | Website Menu Multilanguage
[website_multi_image](website_multi_image/) | 8.0.1.0.0 | Templates to display multiple images in website views
[website_no_crawler](website_no_crawler/) | 8.0.1.0.0 | Disables robots.txt for indexing by webcrawlers like Google
[website_portal](website_portal/) | 8.0.1.0.0 | Account Management Frontend for your Customers
[website_portal_purchase](website_portal_purchase/) | 8.0.1.0.0 | Add your purchase document in the frontend portal (purchase order, request for quotations, supplier invoices)
[website_portal_sale](website_portal_sale/) | 8.0.1.0.0 | Add your sales document in the frontend portal (sales order, quotations, invoices)
[website_product_supplier](website_product_supplier/) | 8.0.1.0.0 | Website Product Supplier
[website_sale_collapse_categories](website_sale_collapse_categories/) | 8.0.1.0.0 | Collapsible product categories in website shop
[website_sale_order_company](website_sale_order_company/) | 8.0.1.0.0 | Set order company according to products company
[website_sale_product_category_seo](website_sale_product_category_seo/) | 1.0 | add Public Product Categories CMS Blocks
[website_sale_unsaleable_options](website_sale_unsaleable_options/) | 8.0.1.0.0 | Prevent optional products to be sold singularly
[website_sale_vat_required](website_sale_vat_required/) | 8.0.1.0.0 | VAT number required in checkout form
[website_seo_redirection](website_seo_redirection/) | 8.0.1.0.0 | Redirect any controller to the URL of your dreams
[website_signup_legal_page_required](website_signup_legal_page_required/) | 8.0.1.0.0 | Force the user to accept the legal terms to open an account
[website_slides](website_slides/) | 8.0.1.0.0 | Share and Publish Videos, Presentations and Documents
[website_snippet_anchor](website_snippet_anchor/) | 8.0.1.0.0 | Allow to reach a concrete section in the page
[website_snippet_big_button](website_snippet_big_button/) | 8.0.1.0.0 | A snippet that adds two big buttons
[website_snippet_contact_form](website_snippet_contact_form/) | 8.0.1.0.0 | Put a contact form anywhere you want
[website_snippet_country_dropdown](website_snippet_country_dropdown/) | 8.0.1.1.0 | Allow to select country in a dropdown
[website_snippet_marginless_gallery](website_snippet_marginless_gallery/) | 8.0.1.0.1 | Add a snippet to have a marginless image gallery
[website_supplier_list](website_supplier_list/) | 8.0.1.0.0 | Publish Your Suppliers References
[website_upload_video](website_upload_video/) | 8.0.1.0.0 | Upload video on website

[//]: # (end addons)
