Welcome to PyCBC, a Python toolkit for analysis of data from gravitational-wave
laser interferometer detectors with the goal of detecting and studying signals
from compact binary coalescences (CBCs).

The PyCBC home page is located on github at

 * https://github.com/ligo-cbc/pycbc

Documentation is automatically built nightly and available from

 * http://ligo-cbc.github.io/pycbc/latest/html/

To download and install PyCBC follow the instructions at

  * http://ligo-cbc.github.io/pycbc/latest/html/install.html

If you use any code from PyCBC in a scientific publication, then we ask that
it is cited in the following way:

```
These results were generated using the PyCBC software package
\cite{Canton:2014ena,Usman:2015kfa,pycbc-software}
```

For the citation ``pycbc-software``,  please use a bibtex entry and DOI for the
appropriate release of the PyCBC software (or the latest available release).
A bibtex key and DOI for each release is avaliable from [Zenodo](http://zenodo.org/).
A key for the latest release is available at:

[![DOI](https://zenodo.org/badge/31596861.svg)](https://zenodo.org/badge/latestdoi/31596861)

Bibtex keys for the citations ``Canton:2014ena`` and ``Usman:2015kfa`` are

```
@article{Canton:2014ena,
      author         = "Dal Canton, Tito and others",
      title          = "{Implementing a search for aligned-spin neutron
                        star-black hole systems with advanced ground based
                        gravitational wave detectors}",
      journal        = "Phys. Rev.",
      volume         = "D90",
      year           = "2014",
      number         = "8",
      pages          = "082004",
      doi            = "10.1103/PhysRevD.90.082004",
      eprint         = "1405.6731",
      archivePrefix  = "arXiv",
      primaryClass   = "gr-qc",
      reportNumber   = "LIGO-P1400053",
      SLACcitation   = "%%CITATION = ARXIV:1405.6731;%%"
}

@article{Usman:2015kfa,
      author         = "Usman, Samantha A. and others",
      title          = "{The PyCBC search for gravitational waves from compact
                        binary coalescence}",
      journal        = "Class. Quant. Grav.",
      volume         = "33",
      year           = "2016",
      number         = "21",
      pages          = "215004",
      doi            = "10.1088/0264-9381/33/21/215004",
      eprint         = "1508.02357",
      archivePrefix  = "arXiv",
      primaryClass   = "gr-qc",
      reportNumber   = "LIGO-P1500086",
      SLACcitation   = "%%CITATION = ARXIV:1508.02357;%%"
}
```
[![PyPI version](https://badge.fury.io/py/PyCBC.svg)](https://badge.fury.io/py/PyCBC)
[![Build Status](https://travis-ci.org/ligo-cbc/pycbc.svg?branch=master)](https://travis-ci.org/ligo-cbc/pycbc)
[![Code Health](https://landscape.io/github/ligo-cbc/pycbc/master/landscape.svg?style=flat)](https://landscape.io/github/ligo-cbc/pycbc/master)
[![Research software impact](http://depsy.org/api/package/pypi/PyCBC/badge.svg)](http://depsy.org/package/python/PyCBC)
