[![Build Status][travis-image]][travis]
[![Version][version-image]][version]
[![License][license-image]][license]

# Snowplow Python Analytics SDK

## Overview

The **[Snowplow][snowplow]** Analytics SDK for Python lets you work with **[Snowplow enriched events] [enriched-events]** in your Python event processing and data modeling jobs.

Use this SDK with **[Apache Spark][spark]**, **[AWS Lambda][lambda]**, **[Databricks][databricks]** and other Python-compatible data processing frameworks.

## Documentation

[Setup guide][setup-guide] and [User guide][user-guide] are avaiable at [Snowplow wiki][snowplow-wiki].


## Copyright and license

The Snowplow Python Analytics SDK is copyright 2016-2017 Snowplow Analytics Ltd.

Licensed under the **[Apache License, Version 2.0][license]** (the "License");
you may not use this software except in compliance with the License.

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

[snowplow]: http://snowplowanalytics.com
[snowplow-wiki]: https://github.com/snowplow/snowplow/wiki
[enriched-events]: https://github.com/snowplow/snowplow/wiki/canonical-event-model

[lambda]: http://docs.aws.amazon.com/lambda/latest/dg/welcome.html
[spark]: http://spark.apache.org/
[databricks]: https://databricks.com/

[setup-guide]: https://github.com/snowplow/snowplow/wiki/Python-Analytics-SDK-setup
[user-guide]: https://github.com/snowplow/snowplow/wiki/Python-Analytics-SDK

[license-image]: http://img.shields.io/badge/license-Apache--2-blue.svg?style=flat
[license]: http://www.apache.org/licenses/LICENSE-2.0

[travis-image]: https://travis-ci.org/snowplow/snowplow-python-analytics-sdk.png?branch=master
[travis]: http://travis-ci.org/snowplow/snowplow-python-analytics-sdk

[version-image]: https://badge.fury.io/py/snowplow_analytics_sdk.png
[version]: http://badge.fury.io/py/snowplow_analytics_sdk

