FRETBursts Notebooks
====================

What's this?
------------

This repository contains Jupyter Notebook tutorials for the
[FRETBursts](http://tritemio.github.io/FRETBursts/) burst analysis software.
The same notebooks are included in the
[FRETBursts source](https://github.com/tritemio/FRETBursts/tree/master/notebooks)
but the version found here contains all the execution outputs (text, tables and figures)
and are therefore easier to read.

Download
--------

Direct download of all FRETBursts notebooks/tutorials: [**Download ZIP**](https://github.com/tritemio/FRETBursts_notebooks/archive/master.zip).

To install **FRETBursts** see [FRETBursts Install instructions](http://fretbursts.readthedocs.org/en/latest/getting_started.html).


View Online
-----------

You can read FRETBursts notebooks online at the following links:

* [FRETBursts - us-ALEX smFRET burst analysis](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/FRETBursts%20-%20us-ALEX%20smFRET%20burst%20analysis.ipynb) *(start here)*
* [FRETBursts - ns-ALEX example](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/FRETBursts%20-%20ns-ALEX%20example.ipynb)
* [FRETBursts - 8-spot smFRET burst analysis](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/FRETBursts%20-%208-spot%20smFRET%20burst%20analysis.ipynb)
* [Example - usALEX histogram](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/Example%20-%20usALEX%20histogram.ipynb)
* [Example - Working with timestamps and bursts](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/Example%20-%20Working%20with%20timestamps%20and%20bursts.ipynb)
* [Example - Burst Variance Analysis](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/Example%20-%20Burst%20Variance%20Analysis.ipynb)
* [Example - 2CDE Method.ipynb](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/Example%20-%202CDE%20Method.ipynb)
* [Example - Exporting Burst Data Including Timestamps](http://nbviewer.jupyter.org/github/tritemio/FRETBursts_notebooks/blob/master/notebooks/Example%20-%20Exporting%20Burst%20Data%20Including%20Timestamps.ipynb)

Run Online
----------

Run the FRETBursts notebooks without any installation by clicking on the following button:

[![Binder](http://mybinder.org/badge.svg)](http://mybinder.org/repo/tritemio/FRETBursts_notebooks)

Once the application starts (it may take a few seconds) click on the *notebooks* folder, then on the notebook named *First Steps*.

> This service courtesy of [MyBinder.org](http://mybinder.org/)

Datasets
--------

FRETBursts notebooks use [public smFRET datasets](https://dx.doi.org/10.6084/m9.figshare.1456362.v13) 
that are automatically downloaded the first time each notebook is executed.
