# Wavefront API Client

The Wavefront APIs allow you to perform various operations in Wavefront. These APIs can be used to automate commonly executed operations such as tagging sources automatically, sending events, and more.

This Python package is automatically generated by the Swagger Codegen project.

- Wavefront API version: 2
- Wavefront version: 5.x

Please note, if you're looking for the V1 APIs (pre Wavefront 5.0, the API Client can be found in the api-v1 branch.

## Requirements.
Python 2.7 and later.

## Setuptools
You can install the bindings via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install
```

Or you can install from Github via pip:

```sh
pip install git+https://github.com/wavefronthq/python-client.git
```

To use the bindings, import the package:

```python
import wavefront_api_client
```

## Manual Installation
If you do not wish to use setuptools, you can download the latest release.
Then, to use the bindings, import the package:

```python
import path.to.wavefront_api_client
```

## Getting Started

All API endpoints are documented at https://YOUR_INSTANCE.wavefront.com/api-docs/ui/. Below is a simple example demonstrating how to use the library to call the Source API. You can use this example
as a starting point.

```
import wavefront_api_client as wave_api

base_url = 'https://YOUR_INSTANCE.wavefront.com'
api_key = 'YOUR_API_TOKEN'

client = wave_api.ApiClient(host=base_url, header_name='Authorization', header_value='Bearer ' + api_key)

# instantiate source API
source_api = wave_api.SourceApi(client)
sources = source_api.get_all_source()
print sources
```

## Troubleshooting

If you encounter a bug or need help, feel free to leave an issue on this github repository - or contact us at support@wavefront.com.